package io.agora.rtc.base;

import android.media.AudioFormat;
import android.media.AudioManager;
import android.media.AudioTrack;
import android.util.Log;


public class AwesomeAudio {
    private static String TAG = "azhansy";
    private static AwesomeAudio mSingleton = null;
    private AudioTrack audioTrack;


    private AwesomeAudio() {
        final int minBufferSize = AudioTrack.getMinBufferSize(GlobalConfig.SAMPLE_RATE_INHZ,
                AudioFormat.CHANNEL_OUT_STEREO,
                AudioFormat.ENCODING_PCM_16BIT);
        audioTrack = new AudioTrack(AudioManager.STREAM_MUSIC, GlobalConfig.SAMPLE_RATE_INHZ,
                AudioFormat.CHANNEL_OUT_MONO, AudioFormat.ENCODING_PCM_16BIT,
                minBufferSize,    /*ios采集数据是android 的2.5倍*/
                AudioTrack.MODE_STREAM);
    }

    public static AwesomeAudio getInstance() {
        if (mSingleton == null) {
            synchronized (AwesomeAudio.class) {
                if (mSingleton == null) {
                    mSingleton = new AwesomeAudio();
                }
            }
        }
        return mSingleton;
    }

    public void receiveAudio(byte[] bytes) {
        if (bytes != null) {
            Log.d(TAG, "receiveAudio...");
            audioTrack.write(bytes, 0, bytes.length);
        }
    }

    public void releaseTrackPlay() {
        try {
            Log.d(TAG, "releaseTrackPlay...");

            audioTrack.release();
            audioTrack.stop();
        } catch (IllegalStateException e) {
            e.printStackTrace();
        }
        mSingleton = null;
    }

    public void initAudioTrack() {
        Log.d(TAG, "releaseTrackPlay...");
        audioTrack.play();
    }

}
